apiVersion: apps/v1
#ENC[AES256_GCM,data:4Sa862XywF5SjE1U4siP1oirnezwYtGJ/tDuE0HLQqgNPg4IUPZSTG+NjQ8LmrJjoCka,iv:5NlWed7bXuunaXgBu+21cmayfeNU33L4lO91BqJd7c0=,tag:6dUh7rezvnZsaUcxp9TxVw==,type:comment]
kind: StatefulSet
metadata:
    # < name of the deployment
    name: nextcloud-db
    # < namespace where to place the statefulset and pods
    namespace: nextcloud
    labels:
        # < label for tagging and reference
        app: nextcloud
spec:
    #ENC[AES256_GCM,data:RpYp3/iR7fJxgAj1GVMhqnqhqRqdd+K1vDPIZ6hch4FnSKWjQqYUDmSN/LlzX6PB,iv:lq5PqTyRMx0xNIZWOWQ87AWXXV3f1rxZjGbikIevwDE=,tag:TmJv17h44AIGifi6tM0Ixw==,type:comment]
    serviceName: ENC[AES256_GCM,data:8s8CdF1nIKztqdJHMBswIyh3V3A=,iv:UrUegcxd76B3w9b8AeW9VXchFEHWcdGs2sgxFxFvJNA=,tag:D4N0XPH+/7QfcnVPec/QKQ==,type:str]
    #ENC[AES256_GCM,data:xEvoeQEkOGsSbG6bBL73Z0BmoU3j4vDQDbvd,iv:40HIMCN8w4r7fugNBfAdcGY3uYOJGVcpT08IgJswS6I=,tag:m2nuzGvvVgMxNRbe3Fvm4Q==,type:comment]
    replicas: ENC[AES256_GCM,data:xw==,iv:eieZtT0Sa9TBYz4Fg3TSUGtjQw3cuirC/UcZkoYiSSg=,tag:CgPNrKp65G1Fe+E5hqOvGw==,type:int]
    selector:
        matchLabels:
            #ENC[AES256_GCM,data:+QIpxRIQkVmrcJsqCL6U7XfgXI5y3zL6anKW7Xokf+FJbhDo3qg=,iv:LH/UD1sJ2HxEqY8m8Z6mYB0zTZMwkeRe7qTRrbEkjqY=,tag:S/ft4bvJ7eYQaCWRyvTx8A==,type:comment]
            pod-label: ENC[AES256_GCM,data:Ayio/1TsICDDQ/yjxYY/GA==,iv:O5gEs/gK+KbMKL33az+ijmhXdwbFAbiMUtRZGezvlcc=,tag:EiYUmPM1CFf6KG9+RBqAJw==,type:str]
    template:
        metadata:
            labels:
                pod-label: nextcloud-db-pod
        spec:
            terminationGracePeriodSeconds: ENC[AES256_GCM,data:YoJs7A==,iv:RBRiuGENyfKyRDl5I+awIKyDbBPWsJA9gXeq5iMZPHM=,tag:/9PVlBn3UANjm9oh/1kcOQ==,type:int]
            volumes:
                - name: ENC[AES256_GCM,data:L/fLExSse3ofYj42fP/Or/Xl5Ts=,iv:s9Bwhh7l/rt7QH85K0qgDVoIgebU4L/5bZvYmXSS2mw=,tag:FF6EGxoGysUbpHcB1eWzAQ==,type:str]
                  #ENC[AES256_GCM,data:5OgPWK+DYj+8AOEg/GAZKWTEK2bsY6kD039bC791+S0mBLAhGw==,iv:bSdYJphrE86oeGwrpgQo0/NpOyZLf6Igci+8rCzV/Qc=,tag:U+z+vto3XbKLOsaDUMfyfw==,type:comment]
                  persistentVolumeClaim:
                    #ENC[AES256_GCM,data:6wzTY7bLNP30Ibx4fOJyAJoI/8fI6SfeS2ghLdUGynIn5VoAZQEGW9C4Waw=,iv:grA5/BSKTxE4YSPqLHgNXuxeUUWIqr2OYtAGWdrG4Tg=,tag:T7ndlS/bJAbQXlZ4lLftOg==,type:comment]
                    claimName: ENC[AES256_GCM,data:ZasrujtyddXu+BHoQv+CyA==,iv:AQJyrIyuD9LFfuThAfHbCEYnnAErO5JjOq2f0+dEIJs=,tag:x18K7eCW0nbRbAMGvjCnbg==,type:str]
            containers:
                - name: ENC[AES256_GCM,data:KTcwtzBM8w==,iv:69Y1Ski3mC08mZ5TjqpzlrsJx7VuC5zg2uwQ5ITFe3A=,tag:Lvbp6/4ICyeYGtB1LVlfXw==,type:str]
                  image: ENC[AES256_GCM,data:XnBn/DP0KBsfPULFLhOUIyUh+w==,iv:BwR31e2/JknIynbR/BhzNlTqB44DjlsSJ44vjDy6v4w=,tag:t/IhyDLDD6ULDipm8VfA5Q==,type:str]
                  imagePullPolicy: ENC[AES256_GCM,data:ShZjBtMq,iv:N9KU/gdkv+qH0TKEQy9wgUxQSofymKZGKDzGP2aw2vc=,tag:cJ5clc45lUW2Yi3hCJ3HmQ==,type:str]
                  #ENC[AES256_GCM,data:0SBGGx1hqnpBmXWC0wqT9aouKTlIvBI85Su9OEdr9HbX+XPxyFcb0R57rXjhu3q1A915HqtKyPvh2ln5PZnoa3/bQfadOXRYL8g=,iv:ua8NvchsDdc2L6VRtW2rddi2k64Lg7vboxxli6R+2a4=,tag:BNJB4ruxpFxLGs0q++jNAA==,type:comment]
                  env:
                    - name: ENC[AES256_GCM,data:CPYT+Q==,iv:cDHy5/0e+bbTaiZYmsfoXSJFWe6g48dreOTgeDJefgM=,tag:MZIvi8WDH9LPC2PGTcW8sQ==,type:str]
                      value: ENC[AES256_GCM,data:tDYU6Q==,iv:Z6r19hWHSYxo+N4R1izmsmyle1beGbLX7ZeEUKijAuE=,tag:Jyr+Wa71QLse5Jhc4EAE/A==,type:str]
                    - name: ENC[AES256_GCM,data:upJXGA==,iv:5sJUHsfV/zQ9jTMNOVMKSxerJw16QOLnh11FVov8ZUk=,tag:QpRaoyXn06e9eq3mi3i+Ig==,type:str]
                      value: ENC[AES256_GCM,data:lJ+exA==,iv:kPdqWuCv9FEnbhXb4ZNAvmAE74hYa+ETn5gwuxSgUpU=,tag:98BWZUYdMn4acXmGbGFwMw==,type:str]
                    - name: ENC[AES256_GCM,data:DqA=,iv:/jynJUNKoVUqeK6RJ7fLp29CB4QfeLw239p72cXGbtI=,tag:AxIgsBzWwV2xyywIjtQdCg==,type:str]
                      value: ENC[AES256_GCM,data:QuUgxegPrUWsx7jTaCUHuA==,iv:At2sgapiEDSCqBOYdjwpcBW2J+/NBDHQD0/Ua8gokMg=,tag:xM1c1RuTTz3mIVZBp6xB5w==,type:str]
                    - name: ENC[AES256_GCM,data:93+GsM1J5ae7saiQ/6s=,iv:XmGz7sKV6iHRhh+adF7ez3uO+UrcbeLUKt2P5qQiWgw=,tag:sy27RNS6AV6IQ6L2BMy85Q==,type:str]
                      value: ENC[AES256_GCM,data:AhCIfuMKPfiq,iv:FrK9fQzsDLiWnzvkehufSPomv82/ofdGmaGrq4TkGVs=,tag:vY4JkKQnBtwxLWxTtvJ/gg==,type:str]
                  envFrom:
                    - secretRef:
                        #ENC[AES256_GCM,data:BdoRw/SLO/Vmb+HaJWSRODjkp9/V3OVKAB5hnL/AlvAgoyRKVO8J,iv:wZlBZFKlX79ET3d+qJq7SNOwPzCVwjZupCemT35aWuk=,tag:4qXjIJQYo5ie8YBXqBgDJw==,type:comment]
                        name: ENC[AES256_GCM,data:sQkJm6ZGa0+UgYsUaFGlAsM6TA==,iv:4maeThGvdFKtmbvKeT4k217OLwcZbtZTthl9ZZJ9+dg=,tag:nP/Fo9D8Cr5Ef8+xPpOnjQ==,type:str]
                  volumeMounts:
                    - ENC[AES256_GCM,data:KTYX9f7273RNgQGScphAqbIbZlvS6y84Bv6fGmgz29SC2lxLLb1f6vK8XfcYvQN4dHGbUZkJ0WdPit6rtNtwaZajRpOil5p0r5TBtJr2Qg==,iv:WOcjP8QtpptWm570BNjrb96GjOGgqFx8Rc7SKrng2wo=,tag:oCXBqAlyNmIrgo2FPLkRzQ==,type:comment]
                    - name: ENC[AES256_GCM,data:dDEvrrrKsCVtdnLXuwnwvmIn3Q4=,iv:C5WLqWcB2ikEi5IPB6nSZ8BHg4YR+yTVsy2bSgyawiM=,tag:0fKhqf1dXqqeiST+Ge6saA==,type:str]
                      #ENC[AES256_GCM,data:ZLzyVl98AD98S3ed4/+Qglp8IZsLsKa0wivo1W2jtFq66A==,iv:4jYJor9jMVitbjHUhNLX4Um0ahKWBJGepTc0DrkTRPE=,tag:kzGDt7dcnLE8yvRLfrrYPg==,type:comment]
                      mountPath: ENC[AES256_GCM,data:Hw39tqvmvA==,iv:VA7SeOG90c3Catdcp9kpTXIyL0C/8hcvVBYGRqkLZdA=,tag:hVdc7LhRs59aiXBuJ1WwVw==,type:str]
                      #ENC[AES256_GCM,data:2r7clEzNF1N/kiICf43wuMBlaeZT0zQOZ1xpRLAydKMFyw6YydSCJWAjXAbAvZFBKg==,iv:+oEfA+Y6dgC7l9dTDcDw83oX9KKmrAulF1No2z3zI9U=,tag:kTUVz5i5p34C/qwXJ15VYQ==,type:comment]
                      subPath: ENC[AES256_GCM,data:wRWXM2bXHgtFR/7GWzg=,iv:1A9mRdFnyByOHiNgzPWye00d2XfgKApHAPgHlJhnVPA=,tag:6xSj/CTrKqqQ0GT21s1v6Q==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBRejRFT0ZGZGV1Uk81Umwx
            QkJid0FuTHp1V3oxcWNqdDhKZ0FyNytyNWc0CnA1Znh2L2JLd24zMFpTS3MyYnk4
            bnQxUWxZKzdFaCtwQjFYWU9QRmM3UWsKLS0tIENvVGpBRStDeERZeUZRelI5c1da
            MnljaTM2SFNtRjlFWWtkVHJUSmlqVmMKP6gnsaRX9YCWGHF9fQlWxe/wpRJpHNmS
            R4Xs0WklOdgyaJVlICUAUeq39nqE4DcMEhT6IGAGeAQVpZBnG4HIaw==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:02Z"
    mac: ENC[AES256_GCM,data:7XSbVvF3WEzmEn93HkrZNK73aVYM8dF1qtHi2rF28mPaOEIzHyVua/5TqeHyE6oaWox1a5b/jcaHUrleQ+J3LltzIbDsD5uEps9wdstGGlR3LbS//KvFpcuZG4PK96vSyT51QQnvB587G/YBXcOLUnd/rDmy0vCU/O/Xe1PuRcw=,iv:aN/XsS+YVWBcDUSxK7jEG9M+pW0e5sigcUBlfbME480=,tag:JVIVSx/x8g3BEMSFMNLuWw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
kind: Service
apiVersion: v1
metadata:
    # < service name (see link with statufulset yaml)
    name: nextcloud-db-service
    namespace: nextcloud
spec:
    selector:
        #ENC[AES256_GCM,data:qUcsnNbkpAfQ1XC56PWezmz7OJbpZPdxTpE/oq75FZ6+ku6RwrxHKM7qte6bIPyjcVhLESlkHnk+KbNhiSryb0QYYr8+g5ZXZaO7,iv:JtmwjWzON+hF1KzsXK/VNGpGp32mq0yt+HlNue5MuMM=,tag:gbqolaLXFriAfX/XGICFdA==,type:comment]
        pod-label: ENC[AES256_GCM,data:Ld7zA5g3lvWPpFW1aNkWlA==,iv:8xfTqEtEdC4Om07UmrPB1h5g/6JguPWvByG8jUY8tTk=,tag:1sQBmY07LlPrAV10PIic6g==,type:str]
    ports:
        - name: ENC[AES256_GCM,data:jxUTQpQ=,iv:eakw550SG6FSl08Wb8nG64ATcYaMimVWjkaQTedJVsY=,tag:f+gE9RSnw6yBEIfmocaNfA==,type:str]
          protocol: ENC[AES256_GCM,data:dnSZ,iv:LH2YIkdpADi0C6p4Ude/KljbFruWvlmTH0uNdD6Yq1k=,tag:YZJP6/u+nIPtyrYKorz05g==,type:str]
          port: ENC[AES256_GCM,data:6XG4bQ==,iv:GLkCNLndgtklct3FBG75dNOhVkzndUdtZhPVJDm9oP4=,tag:HVhoWevbHcMAX6WG5D/Yww==,type:int]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBRejRFT0ZGZGV1Uk81Umwx
            QkJid0FuTHp1V3oxcWNqdDhKZ0FyNytyNWc0CnA1Znh2L2JLd24zMFpTS3MyYnk4
            bnQxUWxZKzdFaCtwQjFYWU9QRmM3UWsKLS0tIENvVGpBRStDeERZeUZRelI5c1da
            MnljaTM2SFNtRjlFWWtkVHJUSmlqVmMKP6gnsaRX9YCWGHF9fQlWxe/wpRJpHNmS
            R4Xs0WklOdgyaJVlICUAUeq39nqE4DcMEhT6IGAGeAQVpZBnG4HIaw==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:02Z"
    mac: ENC[AES256_GCM,data:7XSbVvF3WEzmEn93HkrZNK73aVYM8dF1qtHi2rF28mPaOEIzHyVua/5TqeHyE6oaWox1a5b/jcaHUrleQ+J3LltzIbDsD5uEps9wdstGGlR3LbS//KvFpcuZG4PK96vSyT51QQnvB587G/YBXcOLUnd/rDmy0vCU/O/Xe1PuRcw=,iv:aN/XsS+YVWBcDUSxK7jEG9M+pW0e5sigcUBlfbME480=,tag:JVIVSx/x8g3BEMSFMNLuWw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
